const RandExp = require('randexp');
const mysql = require('mysql');

let con = mysql.createConnection({
    host: "localhost",
    user: "root",
    password: "",
    database: "serprosep"
});

let usuarioPortador = [['SANCHEZ MARTINEZ MARCOS',  'SANCHEZ',   'MARTINEZ',   'MARCOS',   'SAMM760614H15711757'],
['DE LOZA CERDA ISRAEL',  'DE',   'LOZA',   'CERDA ISRAEL',   'LOCI810616H094954886'],
['PEREZ SALAZAR IVAN JESUS',  'PEREZ',   'SALAZAR',   'IVAN JESUS',   'PESI811223H151170008'],
['CALDERON PIZANO ALFREDO',  'CALDERON',   'PIZANO',   'ALFREDO',   'CAPA751110H15708239'],
['ROMERO HERNANDEZ JAIME ANTONIO',  'ROMERO',   'HERNANDEZ',   'JAIME ANTONIO',   'ROHJ801122H09721550'],
['ESTEVEZ MARTINEZ MOISES',  'ESTEVEZ',   'MARTINEZ',   'MOISES',   'EEMM841029H095292794'],
['VILLATORO GOMEZ ISAAC IVAN',  'VILLATORO',   'GOMEZ',   'ISAAC IVAN',   'VIGI880130H095291558'],
['HERNANDEZ POSADAS GONZALO',  'HERNANDEZ',   'POSADAS',   'GONZALO',   'HEPG871114H215162188'],
['MARQUEZ RODRIGUEZ ARIEL GUSTAVO',  'MARQUEZ',   'RODRIGUEZ',   'ARIEL GUSTAVO',   'MARA971119H175291757'],
['ORDUÑA PEÑA RODOLFO',  'ORDUÑA',   'PEÑA',   'RODOLFO',   'OUPR720105H175291565'],
['ESPÍNDOLA HERNÁNDEZ NELSON BENJAMÍN',  'ESPÍNDOLA',   'HERNÁNDEZ',   'NELSON BENJAMÍN',   'EIHN800210H125291566'],
['DANIEL VELÁZQUEZ VÍCTOR FERNANDO',  'DANIEL',   'VELÁZQUEZ',   'VÍCTOR FERNANDO',   'AVV790514H215291551'],
['HERNÁNDEZ PÉREZ MAGDALENO ANGEL',  'HERNÁNDEZ',   'PÉREZ',   'MAGDALENO ANGEL',   'HEPM750722H095084098'],
['CALVILLO SÁNCHEZ ÁNGEL FERNANDO',  'CALVILLO',   'SÁNCHEZ',   'ÁNGEL FERNANDO',   'CASA930212H530897864'],
['MAYA REYES JUAN ALBERTO',  'MAYA',   'REYES',   'JUAN ALBERTO',   'MARJ910407H304489344'],
['SANCHEZ CASTILLO ANDRES',  'SANCHEZ',   'CASTILLO',   'ANDRES',   'SACA830720H094817103'],
['PIXTA XALA ANDRES',  'PIXTA',   'XALA',   'ANDRES',   'PIXA871204H305033294'],
['JOSE JIMENEZ TEODORO',  'JOSE',   'JIMENEZ',   'TEODORO',   'JOJT671028H20271184'],
['ESTUDILLO SÁNCHEZ ISIDRO',  'ESTUDILLO',   'SÁNCHEZ',   'ISIDRO',   'EUSI860515H304306883'],
['SANCHEZ GARZA JORGE ALONSO',  'SANCHEZ',   'GARZA',   'JORGE ALONSO',   'SAGJ930824H195292797'],
['DE LA CRUZ BALLINAS ALEJANDRO',  'DE',   'LA',   'CRUZ BALLINAS ALEJANDRO',   'CUBA780711H074553567'],
['MARROQUIN GRAJALES LUIS ENRIQUE',  'MARROQUIN',   'GRAJALES',   'LUIS ENRIQUE',   'MAGL770922H075291568'],
['BALBOA GONZALEZ JORGE ANTONIO',  'BALBOA',   'GONZALEZ',   'JORGE ANTONIO',   'BAGJ930807H075229483'],
['MARQUEZ RODRIGUEZ CARLOS YANIK',  'MARQUEZ',   'RODRIGUEZ',   'CARLOS YANIK',   'MARC931125H175291567'],
['TORRENTERA FLORES EDGAR NEFTALI',  'TORRENTERA',   'FLORES',   'EDGAR NEFTALI',   'TOFE850430H095292798'],
['ZAMARRIPA MARTINEZ JAQUELINE SUJEY',  'ZAMARRIPA',   'MARTINEZ',   'JAQUELINE SUJEY',   'ZAMJ810815M094706216'],
['ZAVALA CARRILLO JOSE ARTURO',  'ZAVALA',   'CARRILLO',   'JOSE ARTURO',   'ZACA800619H095291564'],
['ESPINOZA ROMERO JOSE',  'ESPINOZA',   'ROMERO',   'JOSE',   'EIRJ710425H095291559'],
['CHICO DE GORIBAR HECTOR GERARDO',  'CHICO',   'DE',   'GORIBAR HECTOR GERARDO',   'CIGH610108H095197013'],
['BRAVO BRAVO CESAR ALEJANDRO',  'BRAVO',   'BRAVO',   'CESAR ALEJANDRO',   'BABC830108H155292800'],
['VEGA AGUILAR ALEJANDRO',  'VEGA',   'AGUILAR',   'ALEJANDRO',   'VEAA750328H25254942'],
['VALDEZ RIOS JAIME ENRIQUE',  'VALDEZ',   'RIOS',   'JAIME ENRIQUE',   'VARJ780715H285291754'],
['DURAN ESCOBAR FELIX',  'DURAN',   'ESCOBAR',   'FELIX',   'DUEF820805H495194120'],
['PATRON MUNGUIA CHAM IXBALANQUE',  'PATRON',   'MUNGUIA',   'CHAM IXBALANQUE',   'PAMC870904H095291560'],
['MARTINEZ ARAIZA ALEJANDRO',  'MARTINEZ',   'ARAIZA',   'ALEJANDRO',   'MAAA830804H095057585'],
['ROSAS SANCHEZ HECTOR HUGO',  'ROSAS',   'SANCHEZ',   'HECTOR HUGO',   'ROSH900328H155292802'],
['ZARATE LEYVA LUIS ANGEL',  'ZARATE',   'LEYVA',   'LUIS ANGEL',   'ZALL920331H154424938'],
['BENITEZ GARCIA JOSE JELIN',  'BENITEZ',   'GARCIA',   'JOSE JELIN',   'BEGJ700502H155045180'],
['HERNANDEZ ROBLEDO IVAN',  'HERNANDEZ',   'ROBLEDO',   'IVAN',   'HERI870316H094907922'],
['CRUZ BALLADOS JOAQUIN HUMBERTO',  'CRUZ',   'BALLADOS',   'JOAQUIN HUMBERTO',   'CUBJ671206H305292796'],
['ORDAZ JIMENEZ JOSUE GEOVANNI',  'ORDAZ',   'JIMENEZ',   'JOSUE GEOVANNI',   'OAJJ840125H15898699'],
['LELO DE LARREA ROBLES LEON ALEJANDRO',  'LELO',   'DE',   'LARREA ROBLES LEON ALEJANDRO',   'LERA701028H094104958'],
['REYES MAYA JAVIER',  'REYES',   'MAYA',   'JAVIER',   'REMJ790112H204157355'],
['CARREÑO ORDAZ DIEGO',  'CARREÑO',   'ORDAZ',   'DIEGO',   'CAOD871103H094969859'],
['LOBATO RAMIREZ MARTIN',  'LOBATO',   'RAMIREZ',   'MARTIN',   'LORM820702H215310653'],
['JIMENEZ ROMERO JOSE LUIS',  'JIMENEZ',   'ROMERO',   'JOSE LUIS',   'JIRL710512H09710288'],
['CALVILLO SÁNCHEZ ÁNGEL FERNANDO',  'CALVILLO',   'SÁNCHEZ',   'ÁNGEL FERNANDO',   'CASA930212H304916286'],
['RAMIREZ HERNANDEZ EDUARDO GESSEL',  'RAMIREZ',   'HERNANDEZ',   'EDUARDO GESSEL',   'RAHE801208H09715461'],
['LARIOS MAGAÑA FRANCISCO JAVIER',  'LARIOS',   'MAGAÑA',   'FRANCISCO JAVIER',   'LAMF860319H09979899'],
['LUNA BERNARDO',  'LUNA',   'BERNARDO',   'BERNARDO',   'LUXB760427H11543983'],
['MUÑOZ GARCIA MARTIN',  'MUÑOZ',   'GARCIA',   'MARTIN',   'MUGM890404H111088350'],
['MORALES GARCIA ISRAEL ALEJANDRO',  'MORALES',   'GARCIA',   'ISRAEL ALEJANDRO',   'MOGI900501H094834861'],
['ALONSO COLIS EUGENIO',  'ALONSO',   'COLIS',   'EUGENIO',   'AOCE871212H204342003'],
['ENGUILO GUILLEN JUAN MANUEL',  'ENGUILO',   'GUILLEN',   'JUAN MANUEL',   'EUGJ900812H094954898'],
['RAMIREZ HERNANDEZ CARLOS ENRIQUE',  'RAMIREZ',   'HERNANDEZ',   'CARLOS ENRIQUE',   'RAHC840522H271001477'],
['MARTINEZ ZAMORA FERNANDO',  'MARTINEZ',   'ZAMORA',   'FERNANDO',   'MAZF750414H30293345'],
['GOMEZ HERNANDEZ JESUS',  'GOMEZ',   'HERNANDEZ',   'JESUS',   'GOHJ761008H20996627'],
['RODRIGUEZ ESPINOZA JOSE GUILLERMO',  'RODRIGUEZ',   'ESPINOZA',   'JOSE GUILLERMO',   'ROEG750210H115291553'],
['BARRERA PEDRAZA MIGUEL ANGEL',  'BARRERA',   'PEDRAZA',   'MIGUEL ANGEL',   'BAPM871102H095004832'],
['RAMIREZ BARRIENTOS MARCOS',  'RAMIREZ',   'BARRIENTOS',   'MARCOS',   'RABM831129H154978475'],
['GUTIERREZ ESPARZA OMAR MORONI',  'GUTIERREZ',   'ESPARZA',   'OMAR MORONI',   'GUEO851016H095035092'],
['MARROQUIN ZARAGOZA FERNANDO MIGUEL',  'MARROQUIN',   'ZARAGOZA',   'FERNANDO MIGUEL',   'MAZF880929H165292795'],
['FARFAN FLORES MACARIO PEDRO',  'FARFAN',   'FLORES',   'MACARIO PEDRO',   'FAFM570102H0940634'],
['MENDOZA LARA JERONIMO JAVIER',  'MENDOZA',   'LARA',   'JERONIMO JAVIER',   'MELJ640930H095291774'],
['CASTRO VILLEGAS EDSON YAIR',  'CASTRO',   'VILLEGAS',   'EDSON YAIR',   'CAVE930328H175301623'],
['MORENO GARCIA DANIEL',  'MORENO',   'GARCIA',   'DANIEL',   'MOGD670912H09751822'],
['TORRES VILLALOBOS JUAN ALBERTO',  'TORRES',   'VILLALOBOS',   'JUAN ALBERTO',   'TOVJ730228H094056340'],
['JIMENEZ HERAS MISAEL',  'JIMENEZ',   'HERAS',   'MISAEL',   'JIHM741216H20411832'],
['GUERRA SANCHEZ HUMBERTO EMANUEL',  'GUERRA',   'SANCHEZ',   'HUMBERTO EMANUEL',   'GUSH940813H195312116'],
['SOTO ORDOÑEZ EDWIN ELIUD',  'SOTO',   'ORDOÑEZ',   'EDWIN ELIUD',   'SOOE891102H195312112'],
['CANO TERWOGT JUAN CARLOS',  'CANO',   'TERWOGT',   'JUAN CARLOS',   'CATJ670209H094800867'],
['IBAÑEZ VALADEZ HUGO',  'IBAÑEZ',   'VALADEZ',   'HUGO',   'IAVH750811H094800869'],
['FLORES DIAZ JESUS DAVID',  'FLORES',   'DIAZ',   'JESUS DAVID',   'FODJ681219H09770278'],
['MARTINEZ CASTELAN RICARDO ALAN',  'MARTINEZ',   'CASTELAN',   'RICARDO ALAN',   'MACR790403H095304074'],
['GONZALEZ RODRIGUEZ MARCO ISRAEL',  'GONZALEZ',   'RODRIGUEZ',   'MARCO ISRAEL',   'GORM701205H094796657'],
['CORDERO MONTIEL ROBERTO CARLOS',  'CORDERO',   'MONTIEL',   'ROBERTO CARLOS',   'COMR900417H134514150'],
['ORTEGA FLORES ERICK',  'ORTEGA',   'FLORES',   'ERICK',   'OEFE810907H29274259'],
['GONZALEZ PEREZ ARTURO',  'GONZALEZ',   'PEREZ',   'ARTURO',   'GOPA680428H094978448'],
['MAURICIO FLORES JOSE JESUS',  'MAURICIO',   'FLORES',   'JOSE JESUS',   'MAFJ770806H095323873'],
['OSIO ZAMORA MIGUEL ANGEL',  'OSIO',   'ZAMORA',   'MIGUEL ANGEL',   'OIZM900106H094262510'],
['SAINZ DE LA MAZA ZUÑIGA SANDALIO ALFONSO',  'SAINZ',   'DE',   'LA MAZA ZUÑIGA SANDALIO ALFONSO',   'SAZS920422H094879932'],
['ALVAREZ TREJO OMAR',  'ALVAREZ',   'TREJO',   'OMAR',   'AATO761023H095327861'],
['ALVAREZ TREJO CESAR',  'ALVAREZ',   'TREJO',   'CESAR',   'AATC730224H095327860'],
['RAMIREZ SANCHEZ JHORDAN',  'RAMIREZ',   'SANCHEZ',   'JHORDAN',   'RASJ940604H094631108'],
['PEREZ VAZQUEZ GUSTAVO',  'PEREZ',   'VAZQUEZ',   'GUSTAVO',   'PEVG780430H295291586'],
['RODRIGUEZ BASURTO HUGO',  'RODRIGUEZ',   'BASURTO',   'HUGO',   'ROBH740808H09709153'],
['ALBERTS PONCE JORGE ENRIQUE',  'ALBERTS',   'PONCE',   'JORGE ENRIQUE',   'AEPJ890216H094874839'],
['BRAVO SANCHEZ OMAR',  'BRAVO',   'SANCHEZ',   'OMAR',   'BASO820506H094534367'],
['GONZALEZ BARRAZA GUILLERMO',  'GONZALEZ',   'BARRAZA',   'GUILLERMO',   'GOBG690321H215335115'],
['OLMOS MAZARIEGOS DAVID HUMBERTO',  'OLMOS',   'MAZARIEGOS',   'DAVID HUMBERTO',   'OOMD720918H154812822'],
['ARCOS EVARISTO FRANCISCO',  'ARCOS',   'EVARISTO',   'FRANCISCO',   'AOF650812H21152281'],
['HUERTA MORALES GABRIELA VERONICA',  'HUERTA',   'MORALES',   'GABRIELA VERONICA',   'HUMG921030M055338108'],
['PEREZ SANCHEZ JUAN CANDIDO',  'PEREZ',   'SANCHEZ',   'JUAN CANDIDO',   'PESJ790513H095338109'],
['CRUZ BRIONES EDUARDO',  'CRUZ',   'BRIONES',   'EDUARDO',   'CUBE741018H091055689'],
['REYES TEJEDA FELIX ADRIAN',  'REYES',   'TEJEDA',   'FELIX ADRIAN',   'RETF810513H094837604'],
['RODRIGUEZ RODRIGUEZ ANDRES ARMANDO',  'RODRIGUEZ',   'RODRIGUEZ',   'ANDRES ARMANDO',   'RORA831130H95283702'],
['FRANCO CORZO Y TORRES JULIO CESAR',  'FRANCO',   'CORZO',   'Y TORRES JULIO CESAR',   'FATJ720714H215288897'],
['PRADO ORDOÑEZ ENRIQUE',  'PRADO',   'ORDOÑEZ',   'ENRIQUE',   'PAOE810920H095292801'],
['RODRIGUEZ URIBE JUAN CARLOS',  'RODRIGUEZ',   'URIBE',   'JUAN CARLOS',   'ROUJ680311H094800870'],
['ZUCCOLI ACOSTA ENRIQUE SEBASTIAN',  'ZUCCOLI',   'ACOSTA',   'ENRIQUE SEBASTIAN',   'ZUAE710222H094800849'],
['ZUÑIGA ISLAS JONATHAN ENRIQUE',  'ZUÑIGA',   'ISLAS',   'JONATHAN ENRIQUE',   'ZUIJ850623H095339743'],
['MUÑOZ MARTINEZ SALVADOR',  'MUÑOZ',   'MARTINEZ',   'SALVADOR',   'MUMS850318H09818157'],
['LINARES CANALES CARLOS ALBERTO',  'LINARES',   'CANALES',   'CARLOS ALBERTO',   'LICC900716H154233353'],
['IBAÑEZ SANDOVAL JESUS',  'IBAÑEZ',   'SANDOVAL',   'JESUS',   'IASJ850118H095338445'],
['ROSALES HERNANDEZ JULIO CESAR',  'ROSALES',   'HERNANDEZ',   'JULIO CESAR',   'ROHJ831012H155338465'],
['SERNA JIMENEZ SERGIO ARTURO',  'SERNA',   'JIMENEZ',   'SERGIO ARTURO',   'SEJS710819H762340321'],
['ALONSO HERNANDEZ ANDRES',  'ALONSO',   'HERNANDEZ',   'ANDRES',   'AOHA691130H11513045'],
['OCHOA ROLDAN ARTURO',  'OCHOA',   'ROLDAN',   'ARTURO',   'OORA751015H095292792'],
['MONTES RAZO RAMON ALEJANDRO',  'MONTES',   'RAZO',   'RAMON ALEJANDRO',   'MORR940804H095339363'],
['CHAVEZ DONATO MARCO ANTONIO',  'CHAVEZ',   'DONATO',   'MARCO ANTONIO',   'CADM600525H115312114'],
['REYNOSO GUERRA ALVARO HUMBERTO',  'REYNOSO',   'GUERRA',   'ALVARO HUMBERTO',   'REGA990603H195338110'],
['HEREDIA CISNEROS IVAN',  'HEREDIA',   'CISNEROS',   'IVAN',   'HECI970731H095338444'],
['FERNANDEZ BONILLA MARIO',  'FERNANDEZ',   'BONILLA',   'MARIO',   'FEBM650912H095338446'],
['BRAVO SANCHEZ OMAR',  'BRAVO',   'SANCHEZ',   'OMAR',   'BASO820506H094534367'],
['RODRIGUEZ VARGAS EFREN',  'RODRIGUEZ',   'VARGAS',   'EFREN',   'ROVE800912H763480321'],
['CERON VARELA ERNESTO',  'CERON',   'VARELA',   'ERNESTO',   'CEVC770317H09616163'],
['BRAVO SANCHEZ RICARDO',  'BRAVO',   'SANCHEZ',   'RICARDO',   'BASR771209H09415096'],
['ORTIZ GARCIA JOSUE GUILLERMO',  'ORTIZ',   'GARCIA',   'JOSUE GUILLERMO',   'OIGJ910822H154532041'],
['ZAGAL ARROYO SULMA YANELI',  'ZAGAL',   'ARROYO',   'SULMA YANELI',   'ZAAS861015M154486580'],
['PULIDO BLAS SAUL',  'PULIDO',   'BLAS',   'SAUL',   'PUBS911128H154611502'],
['COLINDRES LAOS CIRILO',  'COLINDRES',   'LAOS',   'CIRILO',   'COLC661116H094967362'],
['GOMEZ GONZALEZ EDGAR EDUARDO',  'GOMEZ',   'GONZALEZ',   'EDGAR EDUARDO',   'GOGE881024HDFMND09'],
['ROSAS SANCHEZ HECTOR HUGO',  'ROSAS',   'SANCHEZ',   'HECTOR HUGO',   'ROSH900328H155292802'],
['GELLER LEIZOREK EITAN',  'GELLER',   'LEIZOREK',   'EITAN',   'GELE870724H094248687'],
['FRANCO LAGARZA RICARDO',  'FRANCO',   'LAGARZA',   'RICARDO',   'FALR721112H095160031'],
['ZHU ZHAOQIANG',  'ZHU',   'ZHAOQIANG',   'ZHAOQIANG',   'ZUXZ731026H985350805'],
['GONZALEZ ESCOBAR GERARDO',  'GONZALEZ',   'ESCOBAR',   'GERARDO',   'GOEG741003H09418892'],
['ATANACIO BOLAÑOS RIGOBERTO',  'ATANACIO',   'BOLAÑOS',   'RIGOBERTO',   'AABR800204H15517033'],
['GUZMAN JACOBO ANTONIO ALEJANDRO',  'GUZMAN',   'JACOBO',   'ANTONIO ALEJANDRO',   'GUJA781203H095351679'],
['MARQUEZ RODRIGUEZ ARIEL GUSTAVO',  'MARQUEZ',   'RODRIGUEZ',   'ARIEL GUSTAVO',   'MARA971119H175291757'],
['CANTU GUERRERO EDGAR EDGARDO ALFREDO',  'CANTU',   'GUERRERO',   'EDGAR EDGARDO ALFREDO',   'CAGE801026H19436011'],
['LOMBARD ROSALES HECTOR ALEJANDRO',  'LOMBARD',   'ROSALES',   'HECTOR ALEJANDRO',   'LORH930819H135349256'],
['PEREZ ABURTO JORGE',  'PEREZ',   'ABURTO',   'JORGE',   'PEAJ680310H095353314'],
['ABURTO FLORENTINO EDGAR ARTURO',  'ABURTO',   'FLORENTINO',   'EDGAR ARTURO',   'AUFE890227H095353313'],
['ALARCON ALARCON CHRISTIAN',  'ALARCON',   'ALARCON',   'CHRISTIAN',   'AAAC930105H304959506'],
['HERNANDEZ HERNANDEZ ROBERTO',  'HERNANDEZ',   'HERNANDEZ',   'ROBERTO',   'HEHR810917H30854173'],
['CRUZ ORTIZ JESUS',  'CRUZ',   'ORTIZ',   'JESUS',   'CUOJ930825H155350701'],
['ALCARAZ MEDINA DAVID',  'ALCARAZ',   'MEDINA',   'DAVID',   'AAMD721128H09712002'],
['AVILA ZAVALA JORGE ALBERTO',  'AVILA',   'ZAVALA',   'JORGE ALBERTO',   'AIZJ891003H145353533 '],
['GARCIA GOMEZ VICTOR ALDO',  'GARCIA',   'GOMEZ',   'VICTOR ALDO',   'GAGV810310H145353535'],
['LEZO SERRATO ALEXIS',  'LEZO',   'SERRATO',   'ALEXIS',   'LESA890124H094779252'],
['BELTRAN MOLINA GAUDENCIO',  'BELTRAN',   'MOLINA',   'GAUDENCIO',   'BEMG660830H1736507'],
['CARRILLO HUERTA ERIK EDGAR',  'CARRILLO',   'HUERTA',   'ERIK EDGAR',   'CAHE880320H094301102'],
['CABRAL PALACIOS HERON ALBERTO',  'CABRAL',   'PALACIOS',   'HERON ALBERTO',   'CAPH770203H094877108'],
['HERMOSO Y COLIN LUIS OCTAVIO',  'HERMOSO',   'Y',   'COLIN LUIS OCTAVIO',   'HECL760403H095338447'],
['PEÑA VELAZQUEZ JESUS OSWALDO',  'PEÑA',   'VELAZQUEZ',   'JESUS OSWALDO',   'PEVJ911022H094858727'],
['ACOSTA DORADO CESAR ARTURO',  'ACOSTA',   'DORADO',   'CESAR ARTURO',   'AODC760224H30711943'],
['PORTILLO TRUJILLO CESAR EMILIO',  'PORTILLO',   'TRUJILLO',   'CESAR EMILIO',   'POTC920204H094497305'],
['GARFIAS ARREOLA JOEL',  'GARFIAS',   'ARREOLA',   'JOEL',   'GAAJ720306H095355699'],
['NUÑEZ ALTAMIRANO SIGIFREDO',  'NUÑEZ',   'ALTAMIRANO',   'SIGIFREDO',   'NUAS801110H164064327'],
['CARDENAS PICOS MAXIMO OMAR DE JESUS',  'CARDENAS',   'PICOS',   'MAXIMO OMAR DE JESUS',   'CAPM870330H285356317'],
['MENDOZA HERNANDEZ MANUEL',  'MENDOZA',   'HERNANDEZ',   'MANUEL',   'MEHM870506H275351680'],
['SARABIA LUNA HUMBERTO',  'SARABIA',   'LUNA',   'HUMBERTO',   'SALH700212H155354530'],
['ZAVALA CRUZ JULIO CESAR',  'ZAVALA',   'CRUZ',   'JULIO CESAR',   'ZACJ891208H094967359'],
['GARCIA RAMIREZ ISRAEL',  'GARCIA',   'RAMIREZ',   'ISRAEL',   'GARI860605H165358859'],
['VELAZQUEZ ZAMORA ALBERTO CARLOS',  'VELAZQUEZ',   'ZAMORA',   'ALBERTO CARLOS',   'VEZA950625H155359741'],
['REYES LOPEZ JUAN ANTONIO',  'REYES',   'LOPEZ',   'JUAN ANTONIO',   'RELJ720624H09322673'],
['VARGAS ESQUIVEL FABIO PREM',  'VARGAS',   'ESQUIVEL',   'FABIO PREM',   'VAEF790404H095361057'],
['CHACHA CHACHA DANIEL',  'CHACHA',   'CHACHA',   'DANIEL',   'CACD760706H30251000'],
['ISLAS OLIVARES JOSE DE JESUS',  'ISLAS',   'OLIVARES',   'JOSE DE JESUS',   'IAOJ851224H094967361'],
['MARIN REYES DANIEL',  'MARIN',   'REYES',   'DANIEL',   'MARD731002H095362058'],
['GARFIAS ARREOLA JOEL',  'GARFIAS',   'ARREOLA',   'JOEL',   'GAAJ720306H095355699'],
['CARDONA CARDONA VICTOR HUGO',  'CARDONA',   'CARDONA',   'VICTOR HUGO',   'CACV780510H09576078'],
['YAHUTENZI ROSALES GERARDO',  'YAHUTENZI',   'ROSALES',   'GERARDO',   'null'],
['RAMIREZ HERNANDEZ EDUARDO CESAR',  'RAMIREZ',   'HERNANDEZ',   'EDUARDO CESAR',   'null'],
['HERNANDEZ HERNANDEZ DAVID EDUARDO',  'HERNANDEZ',   'HERNANDEZ',   'DAVID EDUARDO',   'null'],
['MARTINEZ HERNANDEZ JORGE DANIEL',  'MARTINEZ',   'HERNANDEZ',   'JORGE DANIEL',   'null'],
['GARCIA TORRES ALEJANDRO DONNOVAN',  'GARCIA',   'TORRES',   'ALEJANDRO DONNOVAN',   'GATA920205H155363612'],
['GUTIERREZ ESPARZA OMAR MORONI',  'GUTIERREZ',   'ESPARZA',   'OMAR MORONI',   'GUEO851016H0 95035092'],
['COBOS ALARCON ENRIQUE',  'COBOS',   'ALARCON',   'ENRIQUE',   'null'],
['BAUTISTA VARGAS JOSE LUIS',  'BAUTISTA',   'VARGAS',   'JOSE LUIS',   'null'],
['CARREÑO ORDAZ DIEGO',  '',   'CARREÑO',   'ORDAZ DIEGO',   'CAOD871103H094969859'],
['TORRES VILLALOBOS JUAN ALBERTO',  'TORRES',   'VILLALOBOS',   'JUAN ALBERTO',   'null'],
['DE PAZ PEÑA RAFAEL',  'DE',   'PAZ',   'PEÑA RAFAEL',   'null'],
['TOVAR ZARAGOZA MOISES ANTONIO',  'TOVAR',   'ZARAGOZA',   'MOISES ANTONIO',   'null'],
['CRUZ DE JESUS CRISTIAN',  'CRUZ',   'DE',   'JESUS CRISTIAN',   'null'],
['ALCANTARA CRUZ JUAN ROBERTO',  'ALCANTARA',   'CRUZ',   'JUAN ROBERTO',   'null'],
['ZAPATA AYALA JORGE ARTURO',  'ZAPATA',   'AYALA',   'JORGE ARTURO',   'null'],
['CRUZ BALLADOS JOAQUIN HUMBERTO',  'CRUZ',   'BALLADOS',   'JOAQUIN HUMBERTO',   'null'],
['CONTRERAS RICO HECTOR JOSE',  'CONTRERAS',   'RICO',   'HECTOR JOSE',   'null'],
['HERNANDEZ HERNANDEZ ENRIQUE',  'HERNANDEZ',   'HERNANDEZ',   'ENRIQUE',   'null'],
['HERNANDEZ HERNANDEZ RENATO',  'HERNANDEZ',   'HERNANDEZ',   'RENATO',   'null'],
['MORFIN JUAREZ HARIPOLDO',  'MORFIN',   'JUAREZ',   'HARIPOLDO',   'null'],
['HERRERA BERMUDEZ HENDERSON ALEXANDER',  'HERRERA',   'BERMUDEZ',   'HENDERSON ALEXANDER',   'null'],
['GARCIA MIRANDA RUBEN',  'GARCIA',   'MIRANDA',   'RUBEN',   'null'],
['GARCIA BASTIDA JUAN JOSE',  'GARCIA',   'BASTIDA',   'JUAN JOSE',   'null'],
['GRANADOS LOPEZ MILTON',  'GRANADOS',   'LOPEZ',   'MILTON',   'null'],
['TERVEN ESCOBAR GEOVANI',  'TERVEN',   'ESCOBAR',   'GEOVANI',   'null'],
['VALDEZ BELTRAN ALEJANDRO',  'VALDEZ',   'BELTRAN',   'ALEJANDRO',   'null'],
['GALINDO CARMONA ELISEO',  'GALINDO',   'CARMONA',   'ELISEO',   'null'],
['BUSTAMANTE GUTIERREZ RAUL',  'BUSTAMANTE',   'GUTIERREZ',   'RAUL',   'null'],
['MARTINEZ GUTIERREZ DORIAN',  'MARTINEZ',   'GUTIERREZ',   'DORIAN',   'null'],
['ISLAS OLIVARES RUBEN EDUARDO',  'ISLAS',   'OLIVARES',   'RUBEN EDUARDO',   'null'],
['GOMEZ TORRES CARLOS',  'GOMEZ',   'TORRES',   'CARLOS',   'null'],
['ORTEGA LANDA RAYMUNDO',  'ORTEGA',   'LANDA',   'RAYMUNDO',   'null'],
['GOMEZ ISLAS ESAU JONATAN',  'GOMEZ',   'ISLAS',   'ESAU JONATAN',   'null'],
['MENDEZ GUTIERREZ GILBERTO',  'MENDEZ',   'GUTIERREZ',   'GILBERTO',   'null'],
['GONZALEZ PEREZ ARTURO',  'GONZALEZ',   'PEREZ',   'ARTURO',   'null'],
['SOTO BARBA JOSE DOMINGO',  'SOTO',   'BARBA',   'JOSE DOMINGO',   'null'],
['GONZALEZ PALOMARES EDUARDO ULISES',  'GONZALEZ',   'PALOMARES',   'EDUARDO ULISES',   'null'],
['FLORES GONZALEZ JONATHAN',  'FLORES',   'GONZALEZ',   'JONATHAN',   'null'],
['RODRIGUEZ GARCIA CARLOS',  'RODRIGUEZ',   'GARCIA',   'CARLOS',   'null'],
['VARGAS VIVEROS ANGEL',  'VARGAS',   'VIVEROS',   'ANGEL',   'null'],
['REYNA GARCIA FRANCISCO JAVIER',  'REYNA',   'GARCIA',   'FRANCISCO JAVIER',   'null'],
['ARREOLA ESCORCIA JESUS',  'ARREOLA',   'ESCORCIA',   'JESUS',   'null'],
['MALAGON ARVIZU JOSE RAUL',  'MALAGON',   'ARVIZU',   'JOSE RAUL',   'null'],
['RODRIGUEZ ARROYO CRISTIAN MAURICIO',  'RODRIGUEZ',   'ARROYO',   'CRISTIAN MAURICIO',   'null'],
['DIAZ GOVEA UBALDO',  'DIAZ',   'GOVEA',   'UBALDO',   'null'],
['TRINIDAD NAVARRO GILBERTO',  'TRINIDAD',   'NAVARRO',   'GILBERTO',   'null'],
['GARCIA TORRES ALEJANDRO DONNOVAN',  'GARCIA',   'TORRES',   'ALEJANDRO DONNOVAN',   'null'],
['BAUTISTA VARGAS JOSE LUIS',  'BAUTISTA',   'VARGAS',   'JOSE LUIS',   'null'],
['CELALLOS RIOS JUAN CARLOS',  'CELALLOS',   'RIOS',   'JUAN CARLOS',   'null'],
['RAMIREZ LOPEZ MARCO JAIR',  'RAMIREZ',   'LOPEZ',   'MARCO JAIR',   'null'],
['RAMIREZ CHANTACA OCTAVIO',  'RAMIREZ',   'CHANTACA',   'OCTAVIO',   'null'],
['VELAZQUEZ RUIZ DANIEL',  'VELAZQUEZ',   'RUIZ',   'DANIEL',   'null'],
['CEBALLOS MORALES JHOVANNY',  'CEBALLOS',   'MORALES',   'JHOVANNY',   'null'],
['RETANA ALVARADO ALEXIS',  'RETANA',   'ALVARADO',   'ALEXIS',   'null'],
['RETANA RETANA LUIS YAEL',  'RETANA',   'RETANA',   'LUIS YAEL',   'null'],
['MARTINEZ AGUILAR JOSE MANUEL',  'MARTINEZ',   'AGUILAR',   'JOSE MANUEL',   'null'],
['FLORES MARTINEZ LUIS ALBERTO',  'FLORES',   'MARTINEZ',   'LUIS ALBERTO',   'null'],
['ARREOLA ESCORCIA JESUS',  'ARREOLA',   'ESCORCIA',   'JESUS',   'null'],
['VARELA CESAR ERNESTO',  'VARELA',   'CESAR',   'ERNESTO',   'null'],
['CORDERO TORICES MIGUEL ANGEL',  'CORDERO',   'TORICES',   'MIGUEL ANGEL',   'null'],
['BARRERA PEDRAZA MIGUEL ANGEL',  'BARRERA',   'PEDRAZA',   'MIGUEL ANGEL',   'null'],
['RAMIREZ SANCHEZ JHORDAN',  'RAMIREZ',   'SANCHEZ',   'JHORDAN',   'null'],
['RODRIGUEZ BASURTO HUGO',  'RODRIGUEZ',   'BASURTO',   'HUGO',   'null']]

const patron = /^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$/;



usuarioPortador.forEach(data => {

    const pass = new RandExp(patron).gen();

        let query = `INSERT INTO datos_personales(id, idEmpresa, Cuip, primer_nombre, apellido_paterno, apellido_materno, activo, createddate, idGenero, idFormaNacionalidad, idPaisNacimiento, idNacionalidad, idEstadoCivil, idNivelEducativo, puesto, rango, nivel_mando) 
        VALUES ('${pass}', '82f42fd5-ac8e-4033-a21d-b4863ef1c826', '${data[4]}', '${data[3]}', '${data[1]}', '${data[2]}', 1, now(), 48, 11, 143, 146, 54, 29, 74, 631, 632)`;
        // console.log(query)
        con.query(query, (err, result, fields) => {
            if (err) throw err;
                console.log(result)
        });
   

})



